MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
HugeAllocator.hxx File Reference
`#include "Compiler.h"`
`#include <utility>`
`#include <stddef.h>`
`#include <stdint.h>`
Include dependency graph for HugeAllocator.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
class | HugeAllocation
| Automatic huge memory allocation management. More...

## Functions
static gcc_malloc void * | HugeAllocate (size_t size)
static void | HugeFree (void *_p, size_t) noexcept
static void | HugeDiscard (void *, size_t) noexcept

## Function Documentation

static gcc_malloc void* HugeAllocate | ( | size_t | size | ) |
| inline static

Definition at line 95 of file HugeAllocator.hxx.

static void HugeDiscard | ( | void * | ,
|  | size_t |
| ) |  |
| inline static noexcept

Definition at line 108 of file HugeAllocator.hxx.

static void HugeFree | ( | void * | _p,
|  | size_t |
| ) |  |
| inline static noexcept

Definition at line 101 of file HugeAllocator.hxx.